﻿using Syncfusion.ExcelToPdfConverter;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Pdf.Tables;
using System;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;

namespace ConsoleApplication1
{
    class Program
    {
        public static string DataPathBase
        {
            get
            {

                return System.Environment.CurrentDirectory + @"\..\..\Data\";

            }
        }
        public static string DataPathOutput
        {
            get
            {
                if (!Directory.Exists(System.Environment.CurrentDirectory + @"\..\..\Output\"))
                    Directory.CreateDirectory(System.Environment.CurrentDirectory + @"\..\..\Output\");
                return System.Environment.CurrentDirectory + @"\..\..\Output\";
            }
        }
        static void Main(string[] args)
        {
           // Open the Excel Sheet to Convert
             ExcelToPdfConverter converter = new ExcelToPdfConverter(DataPathBase + "TestReport.xlsx");

            //Intialize PDF Document
            PdfDocument pdfDocument = new PdfDocument();

            //Setting the header bounds
            RectangleF rect = new RectangleF(0, 0, 515, 50);

            //Create page template
            PdfPageTemplateElement header = new PdfPageTemplateElement(rect);

            Color activeColor = Color.FromArgb(44, 71, 120);
            PdfSolidBrush brush = new PdfSolidBrush(activeColor);

            PdfPen pen = new PdfPen(Color.DarkBlue, 3f);
            PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 16, PdfFontStyle.Bold);

            //Set formattings for the text
            PdfStringFormat format = new PdfStringFormat();
            format.Alignment = PdfTextAlignment.Center;
            format.LineAlignment = PdfVerticalAlignment.Middle;

            //Draw title
            header.Graphics.DrawString("TITLE", font, brush, new RectangleF(0, 0, header.Width, header.Height), format);

            pdfDocument.Template.Top = header;

            //Initialize converter settings
            ExcelToPdfConverterSettings cs = new ExcelToPdfConverterSettings();
            cs.TemplateDocument = pdfDocument;

            //Convert Excel Document into PDF document
            pdfDocument = converter.Convert(cs);
            pdfDocument.Save(DataPathOutput+"output.pdf");
            Process.Start(Path.Combine(DataPathOutput, "output.pdf"));

        }
       

     }
}
